Subject: Re: [PATCH v4] commit: add a commit.verbose config variable

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Mar 2016 14:52:08 -0800

Pranit Bauva <[email-masked]> writes:

> +	if (!strcmp(k, "commit.verbose")){

v3 did this line correctly but you somehow lost the SP between
"){".  What happened?

> diff --git a/t/t7507-commit-verbose.sh b/t/t7507-commit-verbose.sh
> index 2ddf28c..4e123a5 100755
> --- a/t/t7507-commit-verbose.sh
> +++ b/t/t7507-commit-verbose.sh
> @@ -96,4 +96,52 @@ test_expect_success 'verbose diff is stripped out with set core.commentChar' '
>  	test_i18ngrep "Aborting commit due to empty commit message." err
>  '
>  
> +test_expect_success 'commit with commit.verbose true and no arguments' '
> +test_expect_success 'commit with commit.verbose true and --no-verbose' '
> +test_expect_success 'commit with commit.verbose false and -v' '
> +test_expect_success 'commit with commit.verbose false no arguments' '

Don't you need a test that status is not broken when the variable is
set?